Subject: bug#27029: 26.0.50; gnus & utf are suddenly broken

From: Andy Moreton <[email-masked]>
Date: Wed, 24 May 2017 00:33:41 +0100

On Tue 23 May 2017, Eli Zaretskii wrote:

>> From: Sam Steingold <[email-masked]>
>> Date: Mon, 22 May 2017 17:24:17 -0400
>> 
>> sorry, the last time I rebuild emacs was
>> 
>> May 15 10:03
>
> Then I suspect this commit:
>
>   commit e7b9a6fc4adc584b1c89a8e7502734d063fab2cd
>   Author:     Stefan Monnier <[email-masked]>
>   AuthorDate: Sun May 21 23:18:58 2017 -0400
>   Commit:     Stefan Monnier <[email-masked]>
>   CommitDate: Sun May 21 23:18:58 2017 -0400
>
>       * lisp/mail/rfc2047.el: Use cl-lib & lexical-binding, silence warning
>
>       (rfc2047-decode-encoded-words): Use dolist.
>       (rfc2047-decode-string): Avoid string-to-multibyte.
>       (rfc2047-pad-base64): Use pcase.

Agreed. I can confirm that this followup commit fixes the problem:

commit bc78276e81956b3caa8a5eb7ef26959fa4c84b7b
Author:     Stefan Monnier <[email-masked]>
AuthorDate: Mon May 22 16:53:18 2017 -0400
Commit:     Stefan Monnier <[email-masked]>
CommitDate: Mon May 22 16:53:18 2017 -0400

    * lisp/mail/rfc2047.el (rfc2047-decode-encoded-words): Set `words` to nil.

HTH,

    AndyM